Nous utilisons des cookies pour vous garantir la meilleure expérience sur notre site. Si vous continuez à utiliser ce dernier, nous considèrerons que vous acceptez l'utilisation des cookies. J'ai compris ! ou En savoir plus !.
Nom d'utilisateur    Mot de passe              Toujours pas inscrit ?   Mot de passe oublié ?

Annonce

Le portail retrouve peu à peu ses fonctionnalités.

Les listes ne fonctionnent pas mais nous mettons tout en oeuvre pour les réactiver rapidement.

Si vous avez pris contact avec l'association (petite enveloppe en haut/droite), sachez que nous lisons vos messages mais que les mails ne partent pas (#bug).

Ne soyez pas surpris si vous ne recevez pas de réponse.

#1 Mon 15 April 2019 20:20

ihejiha-8504
Membre
Date d'inscription: 14 Oct 2017
Messages: 21

QGIS 3.4/QBan(o) 1.5: impossible de géocoder

Bonjour,

J'utilise souvent l'extension QBan(o), actuellement sous QGis 3.4, mais depuis ce matin je n'arrive plus à géocoder, le feedback python me renvoie ce message ci-dessous. J'ai aussi essayé sur QGIS 2.18. J'ai pourtant géocodé des fichiers similaires la semaine passée, et à de maintes reprises, avec succès.

https://plugins.qgis.org/plugins/QBano/

Je n'arrive pas à bien identifier le problème, s'agit-il d'un problème du côté de l'API de géocodage (Data Gouv) ?

J'ai aussi essayé de géocoder avec MMQGIS Geocoder mais ça ne fonctionne pas non plus. Et les solutions en lignes n'ont pas donné beaucoup plus de succès, et sont souvent payantes ou limitent le nombre de données en entrée.

Je suis coincé, j'ai besoin de géocoder ces fichiers au plus vite. Je continue la recherche de mon côté.

Traceback (most recent call last):
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\urllib\request.py", line 1317, in do_open
              encode_chunked=req.has_header('Transfer-encoding'))
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\http\client.py", line 1229, in request
              self._send_request(method, url, body, headers, encode_chunked)
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\http\client.py", line 1275, in _send_request
              self.endheaders(body, encode_chunked=encode_chunked)
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\http\client.py", line 1224, in endheaders
              self._send_output(message_body, encode_chunked=encode_chunked)
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\http\client.py", line 1016, in _send_output
              self.send(msg)
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\http\client.py", line 956, in send
              self.connect()
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\http\client.py", line 928, in connect
              (self.host,self.port), self.timeout, self.source_address)
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\socket.py", line 727, in create_connection
              raise err
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\socket.py", line 716, in create_connection
              sock.connect(sa)
             TimeoutError: [WinError 10060] Une tentative de connexion a échoué car le parti connecté n’a pas répondu convenablement au-delà d’une certaine durée ou une connexion établie a échoué car l’hôte de connexion n’a pas répondu
             
             During handling of the above exception, another exception occurred:
             
             Traceback (most recent call last):
              File "C:/Users/xxxxxxxxxxx/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\QBano\QBano_dialog.py", line 182, in coordonnees
              response = urllib.request.urlopen('http://api-adresse.data.gouv.fr/search/?' + url+'&limit=1')
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\urllib\request.py", line 222, in urlopen
              return opener.open(url, data, timeout)
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\urllib\request.py", line 525, in open
              response = self._open(req, data)
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\urllib\request.py", line 543, in _open
              '_open', req)
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\urllib\request.py", line 503, in _call_chain
              result = func(*args)
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\urllib\request.py", line 1345, in http_open
              return self.do_open(http.client.HTTPConnection, req)
              File "C:\PROGRA~1\QGIS3~1.4\apps\Python37\lib\urllib\request.py", line 1319, in do_open
              raise URLError(err)
             urllib.error.URLError:
             
             During handling of the above exception, another exception occurred:
             
             Traceback (most recent call last):
              File "C:/Users/xxxxxxxxxxx/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\QBano\QBano_dialog.py", line 153, in geocoder
              coordonnees = self.coordonnees(adresse_complete)
              File "C:/Users/xxxxxxxxxxx/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\QBano\QBano_dialog.py", line 193, in coordonnees
              except urllib2.HTTPError as e:
             NameError: name 'urllib2' is not defined

Hors ligne

 

#2 Wed 17 April 2019 09:22

sylvain poupard
Membre
Date d'inscription: 19 Mar 2009
Messages: 227

Re: QGIS 3.4/QBan(o) 1.5: impossible de géocoder

Bonjour,

Avez-vous essayé https://app.dogeo.fr/DoGeocodeur/?
Ça pourrait peut-être vous dépanner le temps que qq'un trouve une solution à votre pb.

Bon courage

Hors ligne

 

Pied de page des forums

Powered by FluxBB

Partagez  |